Debian Bug report logs - #386983
rdiff-backup: fails in with uninitialised var

version graph

Package: rdiff-backup; Maintainer for rdiff-backup is Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>; Source for rdiff-backup is src:rdiff-backup.

Reported by: "Pascal A. Dupuis" <Dupuis@adre.ucl.ac.be>

Date: Mon, 11 Sep 2006 13:48:21 UTC

Severity: important

Found in version rdiff-backup/1.1.5-3

Fixed in version rdiff-backup/1.1.7-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#386983; Package rdiff-backup. Full text and rfc822 format available.

Acknowledgement sent to "Pascal A. Dupuis" <Dupuis@adre.ucl.ac.be>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Pascal A. Dupuis" <Dupuis@adre.ucl.ac.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rdiff-backup: fails in with uninitialised var
Date: Mon, 11 Sep 2006 15:28:26 +0200
Package: rdiff-backup
Version: 1.1.5-3
Severity: grave
Justification: renders package unusable

Hello,
while trying to use rdiff-backup as :
rdiff-backup localdir otherdir
where:
-localdir is from the local filesystem
-otherdir is mounted as smbfs

I got this message and backtrace:

Making directory otherdir
Making directory otherdir/rdiff-backup-data
Unable to import module xattr.
Extended attributes not supported on filesystem at /home/pdupuis/work/adre
Unable to import module posix1e from pylibacl package.
ACLs not supported on filesystem at localdir
-----------------------------------------------------------------
Detected abilities for source (read only) file system:
  Access control lists                         Off
  Extended attributes                          Off
  Case sensitivity                             On
  Mac OS X style resource forks                Off
  Mac OS X Finder information                  Off
-----------------------------------------------------------------
Making directory otherdir/rdiff-backup-data/rdiff-backup.tmp.0
Exception 'local variable 'ext_rp' referenced before assignment' raised of class 'exceptions.UnboundLocalError':
  File "/var/lib/python-support/python2.4/rdiff_backup/Main.py", line 295, in error_check_Main
    try: Main(arglist)
  File "/var/lib/python-support/python2.4/rdiff_backup/Main.py", line 315, in Main
    take_action(rps)
  File "/var/lib/python-support/python2.4/rdiff_backup/Main.py", line 271, in take_action
    elif action == "backup": Backup(rps[0], rps[1])
  File "/var/lib/python-support/python2.4/rdiff_backup/Main.py", line 325, in Backup
    rpout.conn.fs_abilities.backup_set_globals(rpin)
  File "/var/lib/python-support/python2.4/rdiff_backup/fs_abilities.py", line 602, in backup_set_globals
    dest_fsa = FSAbilities('destination').init_readwrite(Globals.rbdir)
  File "/var/lib/python-support/python2.4/rdiff_backup/fs_abilities.py", line 137, in init_readwrite
    self.set_extended_filenames(subdir)
  File "/var/lib/python-support/python2.4/rdiff_backup/fs_abilities.py", line 208, in set_extended_filenames
    assert not ext_rp.lstat()

Could you please check

TIA 

Pascal Dupuis


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.11
Locale: LANG=fr_BE.UTF-8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8)

Versions of packages rdiff-backup depends on:
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  librsync1                    0.9.7-1     Library which implements the rsync
ii  python                       2.4.3-11    An interactive high-level object-o
ii  python-support               0.4.3       automated rebuilding support for p

rdiff-backup recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#386983; Package rdiff-backup. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@ftwca.de>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #10 received at 386983@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@ftwca.de>
To: 386983@bugs.debian.org, control@bugs.debian.org
Subject: Not a rc bug
Date: Sat, 16 Sep 2006 01:10:14 +0200
[Message part 1 (text/plain, inline)]
severity 386983 important
thankskbye

Heya,

This bug is limited to usage on smbfs, so this is *not* grave. It may be
something that needs to be fixed, but most people can use it without a
problem, so it's only important.

Marc
-- 
Fachbegriffe der Informatik - Einfach erklärt
31: Multimedia-Multitasking
       CD-ROM mit Kopfhöreranschluß. (VOBIS Denkzettel)
[Message part 2 (application/pgp-signature, inline)]

Severity set to `important' from `grave' Request was from Marc 'HE' Brockschmidt <he@ftwca.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#386983; Package rdiff-backup. Full text and rfc822 format available.

Acknowledgement sent to Elmar Hoffmann <elho@elho.net>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #17 received at 386983@bugs.debian.org (full text, mbox):

From: Elmar Hoffmann <elho@elho.net>
To: 386983@bugs.debian.org
Subject: Re: Not a rc bug
Date: Sat, 16 Sep 2006 13:55:50 +0200
[Message part 1 (text/plain, inline)]
Package: rdiff-backup
Version: 1.1.5-3
Followup-For: Bug #386983

Hi,

I've looked into this at this weekend's BSP, here's the other results
besides the downgrade:
This is upstream bug #16852.
I've tested rdiff-backup with local, nfs, cifs (smbfs) and vfat
destination directories, as Marc already mentioned, this bug only
showed with cifs.

The problem happens in the case sensitivity test like this:
1. file "A" is created
2. lstat() on file "a" is done and succeeds
3. file "a" is deleted which actually deletes "A" on the fs
4. lstat() on file "A" is done and wrongly succeeds raising the
   assertion

For vfat, which also is case insensitive, it works and the lstat() in
step 4 correctly fails.

elmar

-- 

 .'"`.                                                            /"\
| :' :   Elmar Hoffmann <elho@elho.net>    ASCII Ribbon Campaign  \ /
`. `'    GPG key available via pgp.net        against HTML email   X
  `-                                                    & vCards  / \
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Pascal A. Dupuis" <Dupuis@adre.ucl.ac.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 386983-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 386983-close@bugs.debian.org
Subject: Bug#386983: fixed in rdiff-backup 1.1.7-1
Date: Fri, 29 Dec 2006 15:32:03 +0000
Source: rdiff-backup
Source-Version: 1.1.7-1

We believe that the bug you reported is fixed in the latest version of
rdiff-backup, which is due to be installed in the Debian FTP archive:

rdiff-backup_1.1.7-1.diff.gz
  to pool/main/r/rdiff-backup/rdiff-backup_1.1.7-1.diff.gz
rdiff-backup_1.1.7-1.dsc
  to pool/main/r/rdiff-backup/rdiff-backup_1.1.7-1.dsc
rdiff-backup_1.1.7-1_i386.deb
  to pool/main/r/rdiff-backup/rdiff-backup_1.1.7-1_i386.deb
rdiff-backup_1.1.7.orig.tar.gz
  to pool/main/r/rdiff-backup/rdiff-backup_1.1.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386983@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated rdiff-backup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 29 Dec 2006 16:15:00 +0100
Source: rdiff-backup
Binary: rdiff-backup
Architecture: source i386
Version: 1.1.7-1
Distribution: experimental
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 rdiff-backup - remote incremental backup
Closes: 386983 395096 404947
Changes: 
 rdiff-backup (1.1.7-1) experimental; urgency=low
 .
   * New upstream release:
     - fixes problem with device files handling as user (Closes: #395096).
     - fixes problems with storing to smbfs/cifs (Closes: #386983, #404947).
   * Dropping 01-manpage.dpatch, went upstream.
   * Uploading to experimental to not interfere the testing migration of
     1.1.5-4.
Files: 
 db04c0f5e4e9fe791b7443d3fdb34a7d 675 utils optional rdiff-backup_1.1.7-1.dsc
 ecc89d0260a84da52e6d876f69eac102 172372 utils optional rdiff-backup_1.1.7.orig.tar.gz
 d00a1d03217c6bba7cbbd2daf79732d2 4563 utils optional rdiff-backup_1.1.7-1.diff.gz
 5a6512aed92a2fc1faaf76a8262492c0 175044 utils optional rdiff-backup_1.1.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFlTFG+C5cwEsrK54RAh/tAJ9ZiHO9Xr7iaqxvZAl3NZvhQ37v2ACgi+z4
wqVnT50CZDub7aVNQle5JXY=
=wO0b
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 20:20:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:15:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.